Skip to main content
GET
/
v1
/
tools
/
{toolId}
/
executions
List Tool Executions
curl --request GET \
  --url https://api.anchorbrowser.io/v1/tools/{toolId}/executions \
  --header 'anchor-api-key: <api-key>'
{
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  },
  "executions": [
    {
      "id": "<string>",
      "status": "<string>",
      "start_time": "<string>",
      "execution_time": 123,
      "version": "<string>",
      "isDraft": true,
      "output": "<string>",
      "error_message": "<string>",
      "inputs": {},
      "browser_session_id": "<string>",
      "error_explanation": "<string>",
      "fix_suggestion": "<string>",
      "healed_task_version_id": "<string>",
      "tags": [
        "<string>"
      ]
    }
  ]
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Path Parameters

toolId
string
required

Query Parameters

page
string

1-based page number.

limit
string

Page size.

status
enum<string>
Available options:
success,
failure,
timeout,
cancelled

Response

Tool executions retrieved successfully.

pagination
object
executions
object[]